import { PluginRunner } from "../PluginRunner/pluginRunner";
import { ColorRGBA, ParameterInfo, ParameterType, Texture, ExportType, ImportInfo } from "../../parameterTypes";
import * as TemplateEnum from "./parameterTemplates";
declare class BeautyAutogenerated {
    private pluginRunner;
    runtime: {
        getParametersInfo: () => ParameterInfo[];
        setParameterValue: (name: string, value: ParameterType, id?: string) => Promise<void>;
        setParameterTemplate: (name: string, template: string) => Promise<void>;
        getParameterValue: (name: string) => ParameterType;
        getParameterId: (name: string) => string | null;
        getParameterTemplates: (name: string) => string[];
        getParameterTemplateValue: (name: string, template: string) => ParameterType;
        reset: (name: string) => Promise<void>;
        setDisabled: (name: string, isDisabled: boolean) => Promise<void>;
    };
    skinSmoothing: {
        p: string;
        set: (number: number, id?: string) => Promise<void>;
        get: () => number;
        getId: () => string | null;
        disable: (isDisabled: boolean) => Promise<void>;
        reset: () => Promise<void>;
    };
    faceMorphing: {
        n: string;
        disable: (isDisabled: boolean) => Promise<void>;
        reset: () => Promise<void>;
        eyebrowsThickness: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        eyebrowsHeight: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        foreheadSize: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        lipsWidth: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        lipFullness: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        jawlineShape: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        faceShape: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        noseSize: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        mouthPositionVertical: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        eyeSize: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
        chinSize: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
    };
    faceMakeup: {
        n: string;
        disable: (isDisabled: boolean) => Promise<void>;
        reset: () => Promise<void>;
        foundation: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            color: {
                p: string;
                set: (color: ColorRGBA, id?: string) => Promise<void>;
                get: () => ColorRGBA;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.FoundationColorTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.FoundationColorTemplate | string) => ColorRGBA;
                getTemplates: () => string[];
            };
            amount: {
                p: string;
                set: (number: number, id?: string) => Promise<void>;
                get: () => number;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
        };
        blush: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            applicationArea: {
                p: string;
                set: (texture: Texture, id?: string) => Promise<void>;
                get: () => Texture;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.BlushApplicationAreaTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.BlushApplicationAreaTemplate | string) => Texture;
                getTemplates: () => string[];
            };
            color: {
                p: string;
                set: (color: ColorRGBA, id?: string) => Promise<void>;
                get: () => ColorRGBA;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.BlushColorTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.BlushColorTemplate | string) => ColorRGBA;
                getTemplates: () => string[];
            };
            intensity: {
                p: string;
                set: (number: number, id?: string) => Promise<void>;
                get: () => number;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
        };
        highlighter: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            applicationArea: {
                p: string;
                set: (texture: Texture, id?: string) => Promise<void>;
                get: () => Texture;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.HighlighterApplicationAreaTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.HighlighterApplicationAreaTemplate | string) => Texture;
                getTemplates: () => string[];
            };
            color: {
                p: string;
                set: (color: ColorRGBA, id?: string) => Promise<void>;
                get: () => ColorRGBA;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.HighlighterColorTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.HighlighterColorTemplate | string) => ColorRGBA;
                getTemplates: () => string[];
            };
            intensity: {
                p: string;
                set: (number: number, id?: string) => Promise<void>;
                get: () => number;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
        };
        contouring: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            applicationArea: {
                p: string;
                set: (texture: Texture, id?: string) => Promise<void>;
                get: () => Texture;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.ContouringApplicationAreaTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.ContouringApplicationAreaTemplate | string) => Texture;
                getTemplates: () => string[];
            };
            color: {
                p: string;
                set: (color: ColorRGBA, id?: string) => Promise<void>;
                get: () => ColorRGBA;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.ContouringColorTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.ContouringColorTemplate | string) => ColorRGBA;
                getTemplates: () => string[];
            };
            intensity: {
                p: string;
                set: (number: number, id?: string) => Promise<void>;
                get: () => number;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
        };
        cheekGlitter: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            enable: {
                p: string;
                set: (enable: boolean, id?: string) => Promise<void>;
                get: () => boolean;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
            color: {
                p: string;
                set: (color: ColorRGBA, id?: string) => Promise<void>;
                get: () => ColorRGBA;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.CheekGlitterColorTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.CheekGlitterColorTemplate | string) => ColorRGBA;
                getTemplates: () => string[];
            };
        };
    };
    eyeMakeup: {
        n: string;
        disable: (isDisabled: boolean) => Promise<void>;
        reset: () => Promise<void>;
        eyeliner: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            enable: {
                p: string;
                set: (enable: boolean, id?: string) => Promise<void>;
                get: () => boolean;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
            look: {
                p: string;
                set: (texture: Texture, id?: string) => Promise<void>;
                get: () => Texture;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.EyelinerLookTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.EyelinerLookTemplate | string) => Texture;
                getTemplates: () => string[];
            };
        };
        eyeshadow: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            basic: {
                n: string;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                enable: {
                    p: string;
                    set: (enable: boolean, id?: string) => Promise<void>;
                    get: () => boolean;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                };
                look: {
                    p: string;
                    set: (texture: Texture, id?: string) => Promise<void>;
                    get: () => Texture;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                    setTemplate: (template: TemplateEnum.BasicLookTemplate | string) => Promise<void>;
                    getTemplateValue: (template: TemplateEnum.BasicLookTemplate | string) => Texture;
                    getTemplates: () => string[];
                };
                color: {
                    p: string;
                    set: (color: ColorRGBA, id?: string) => Promise<void>;
                    get: () => ColorRGBA;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                    setTemplate: (template: TemplateEnum.BasicColorTemplate | string) => Promise<void>;
                    getTemplateValue: (template: TemplateEnum.BasicColorTemplate | string) => ColorRGBA;
                    getTemplates: () => string[];
                };
            };
            threeColors: {
                n: string;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                enable: {
                    p: string;
                    set: (enable: boolean, id?: string) => Promise<void>;
                    get: () => boolean;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                };
                color1: {
                    p: string;
                    set: (color: ColorRGBA, id?: string) => Promise<void>;
                    get: () => ColorRGBA;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                    setTemplate: (template: TemplateEnum.ThreeColorsColor1Template | string) => Promise<void>;
                    getTemplateValue: (template: TemplateEnum.ThreeColorsColor1Template | string) => ColorRGBA;
                    getTemplates: () => string[];
                };
                color2: {
                    p: string;
                    set: (color: ColorRGBA, id?: string) => Promise<void>;
                    get: () => ColorRGBA;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                    setTemplate: (template: TemplateEnum.ThreeColorsColor2Template | string) => Promise<void>;
                    getTemplateValue: (template: TemplateEnum.ThreeColorsColor2Template | string) => ColorRGBA;
                    getTemplates: () => string[];
                };
                color3: {
                    p: string;
                    set: (color: ColorRGBA, id?: string) => Promise<void>;
                    get: () => ColorRGBA;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                    setTemplate: (template: TemplateEnum.ThreeColorsColor3Template | string) => Promise<void>;
                    getTemplateValue: (template: TemplateEnum.ThreeColorsColor3Template | string) => ColorRGBA;
                    getTemplates: () => string[];
                };
            };
            special: {
                n: string;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                enable: {
                    p: string;
                    set: (enable: boolean, id?: string) => Promise<void>;
                    get: () => boolean;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                };
                look: {
                    p: string;
                    set: (texture: Texture, id?: string) => Promise<void>;
                    get: () => Texture;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                    setTemplate: (template: TemplateEnum.SpecialLookTemplate | string) => Promise<void>;
                    getTemplateValue: (template: TemplateEnum.SpecialLookTemplate | string) => Texture;
                    getTemplates: () => string[];
                };
            };
            glitter: {
                n: string;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                enable: {
                    p: string;
                    set: (enable: boolean, id?: string) => Promise<void>;
                    get: () => boolean;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                };
                look: {
                    p: string;
                    set: (texture: Texture, id?: string) => Promise<void>;
                    get: () => Texture;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                    setTemplate: (template: TemplateEnum.GlitterLookTemplate | string) => Promise<void>;
                    getTemplateValue: (template: TemplateEnum.GlitterLookTemplate | string) => Texture;
                    getTemplates: () => string[];
                };
                intensity: {
                    p: string;
                    set: (number: number, id?: string) => Promise<void>;
                    get: () => number;
                    getId: () => string | null;
                    disable: (isDisabled: boolean) => Promise<void>;
                    reset: () => Promise<void>;
                };
            };
        };
        eyelashes: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            enable: {
                p: string;
                set: (enable: boolean, id?: string) => Promise<void>;
                get: () => boolean;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
            look: {
                p: string;
                set: (texture: Texture, id?: string) => Promise<void>;
                get: () => Texture;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.EyelashesLookTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.EyelashesLookTemplate | string) => Texture;
                getTemplates: () => string[];
            };
        };
    };
    lipMakeup: {
        n: string;
        disable: (isDisabled: boolean) => Promise<void>;
        reset: () => Promise<void>;
        lipstick: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            enable: {
                p: string;
                set: (enable: boolean, id?: string) => Promise<void>;
                get: () => boolean;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
            shade: {
                p: string;
                set: (texture: Texture, id?: string) => Promise<void>;
                get: () => Texture;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.LipstickShadeTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.LipstickShadeTemplate | string) => Texture;
                getTemplates: () => string[];
            };
            amount: {
                p: string;
                set: (number: number, id?: string) => Promise<void>;
                get: () => number;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
        };
        lipGloss: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            enable: {
                p: string;
                set: (enable: boolean, id?: string) => Promise<void>;
                get: () => boolean;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
            gloss: {
                p: string;
                set: (texture: Texture, id?: string) => Promise<void>;
                get: () => Texture;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.LipGlossGlossTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.LipGlossGlossTemplate | string) => Texture;
                getTemplates: () => string[];
            };
            amount: {
                p: string;
                set: (number: number, id?: string) => Promise<void>;
                get: () => number;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
        };
    };
    eyeEnhancements: {
        n: string;
        disable: (isDisabled: boolean) => Promise<void>;
        reset: () => Promise<void>;
        eyeColor: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            enable: {
                p: string;
                set: (enable: boolean, id?: string) => Promise<void>;
                get: () => boolean;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
            color: {
                p: string;
                set: (color: ColorRGBA, id?: string) => Promise<void>;
                get: () => ColorRGBA;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.EyeColorColorTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.EyeColorColorTemplate | string) => ColorRGBA;
                getTemplates: () => string[];
            };
        };
    };
    colorFilters: {
        n: string;
        disable: (isDisabled: boolean) => Promise<void>;
        reset: () => Promise<void>;
        filter: {
            p: string;
            set: (texture: Texture, id?: string) => Promise<void>;
            get: () => Texture;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            setTemplate: (template: TemplateEnum.ColorFiltersFilterTemplate | string) => Promise<void>;
            getTemplateValue: (template: TemplateEnum.ColorFiltersFilterTemplate | string) => Texture;
            getTemplates: () => string[];
        };
        intensity: {
            p: string;
            set: (number: number, id?: string) => Promise<void>;
            get: () => number;
            getId: () => string | null;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
        };
    };
    background: {
        n: string;
        disable: (isDisabled: boolean) => Promise<void>;
        reset: () => Promise<void>;
        blur: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            enable: {
                p: string;
                set: (enable: boolean, id?: string) => Promise<void>;
                get: () => boolean;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
            intensity: {
                p: string;
                set: (number: number, id?: string) => Promise<void>;
                get: () => number;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
        };
        image: {
            n: string;
            disable: (isDisabled: boolean) => Promise<void>;
            reset: () => Promise<void>;
            enable: {
                p: string;
                set: (enable: boolean, id?: string) => Promise<void>;
                get: () => boolean;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
            };
            background: {
                p: string;
                set: (texture: Texture, id?: string) => Promise<void>;
                get: () => Texture;
                getId: () => string | null;
                disable: (isDisabled: boolean) => Promise<void>;
                reset: () => Promise<void>;
                setTemplate: (template: TemplateEnum.ImageBackgroundTemplate | string) => Promise<void>;
                getTemplateValue: (template: TemplateEnum.ImageBackgroundTemplate | string) => Texture;
                getTemplates: () => string[];
            };
        };
    };
    constructor(pluginRunner: PluginRunner);
    reset(): Promise<void>;
    disable(isDisabled: boolean): Promise<void>;
    exportPreset(exportType: ExportType): Promise<Blob>;
    importPreset(presetZip: string | Blob, overrideImportType?: ExportType): Promise<ImportInfo>;
    shutdown(): void;
}
export { BeautyAutogenerated };
